{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>Tableau de bord</h1>
    </section>
    <!-- Main content -->
    <section class="content dashboard">
        <div class="widget-kpis" data-ajax-content data-href="{{ path('dashboard.widget.kpis') }}">
            {% include "dashboard/widget/kpis.html.twig" %}
        </div>

        <div class="row">
            <div class="col-md-7">
                <div class="widget-jobs" data-ajax-content data-href="{{ path('dashboard.widget.processes') }}">
                    {% include "dashboard/widget/processes.html.twig" %}
                </div>
                {% if has_role('ROLE_ADMIN', app.user) == 0 %}
                    <div class="widget-production" data-ajax-content data-href="{{ path('dashboard.widget.production') }}">
                        {% include "dashboard/widget/production.html.twig" %}
                    </div>
                {% endif %}
                {% if has_role('ROLE_ADMIN', app.user) == 1 %}
                    <div class="widget-validation" data-ajax-content data-href="{{ path('dashboard.widget.validation') }}">
                        {% include "dashboard/widget/validation.html.twig" %}
                    </div>
                    <div class="widget-login" data-ajax-content data-href="{{ path('dashboard.widget.login') }}">
                        {% include "dashboard/widget/login.html.twig" %}
                    </div>
                {% endif %}
            </div>
            <div class="col-md-5">
                <div class="widget-news" data-ajax-content data-href="{{ path('dashboard.widget.news') }}">
                    {% include "dashboard/widget/news.html.twig" %}
                </div>
                <div class="widget-stats" data-ajax-content data-href="{{ path('dashboard.widget.stats') }}">
                    {% include "dashboard/widget/stats.html.twig" %}
                </div>
                <div class="widget-support" data-ajax-content data-href="{{ path('dashboard.widget.support') }}">
                    {% include "dashboard/widget/support.html.twig" %}
                </div>
            </div>
        </div>
    </section>
{% endblock %}
